<?php
	/*
		Project_CMS

		Mode: Change password
		
		Copyright (c) 2005 by Phillip Berndt
		
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		(at your option) any later version.
	
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
	
		You should have received a copy of the GNU General Public License
		along with this program; if not, write to the Free Software
		Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
		
	*/	
	
	// Security check
	cms_functions::inside_cms();
	
	// It's a great advantage to be loggid in before changing a password..
	$cms_users->requirePermission('edit');
	
	if(sha1($_REQUEST['oldPW']) == $cms_users->currentUser['pass'] &&
		$_REQUEST['newPW'] == $_REQUEST['newPW2'])
		{
			$cms_eventlog->write_log(cms_functions::string('changepw.changed'), cms_functions::generate_url(array('mode' => 'changepw')));
			$cms_users->changePW($_REQUEST['newPW']);
			
			$cms_cache->set_dont_cache_flag();
			cms_functions::redirect();
			die();
		}
		
	$pageContent = eval($cms_tpl->tpl('edit_users_changepw'));
	$pageTitle	 = cms_functions::string('changepw.title');
?>