<?php
	/*
		Project_CMS

		Mode: Login
		
		Copyright (c) 2005 by Phillip Berndt
		
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		(at your option) any later version.
	
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
	
		You should have received a copy of the GNU General Public License
		along with this program; if not, write to the Free Software
		Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
		
	*/	
	
	// Security check
	cms_functions::inside_cms();

	// Never cache this page (Not really needed here, but who knows...)
	$cms_cache->set_dont_cache_flag();
	
	// Logout is handled by this page as well
	if(isset($_SESSION['loginData']) && isset($_REQUEST['do']) && $_REQUEST['do'] == 'logout')
	{
		unset($_SESSION);
		session_destroy();
	}
	
	// Nothing else - this page does nothing but require a valid login
	$cms_users->requirePermission('edit');

	if(!$_REQUEST['redirect'])
		$_REQUEST['redirect'] = cms_functions::generate_url();
	header('Location: '.$_REQUEST['redirect']);
	die();
?>