<?php
	/*
		Project_CMS

		Mode: Watch eventlog
		
		Copyright (c) 2005 by Phillip Berndt
		
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		(at your option) any later version.
	
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
	
		You should have received a copy of the GNU General Public License
		along with this program; if not, write to the Free Software
		Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
		
	*/
	
	// Security check
	cms_functions::inside_cms();
	
	// Never cache this page (Not really needed here, but who knows...)
	$cms_cache->set_dont_cache_flag();
	
	$cms_users->requirePermission('view_eventlog');
	
	// Delete eventlog
	if(isset($_REQUEST['clear']))
	{
		$cms_users->requirePermission('clear_eventlog');
		$cms_eventlog->clearLog();
		$cms_eventlog->write_log(cms_functions::string('eventlog.cleared'), cms_functions::generate_url(array('mode' => 'eventlog')));
		cms_functions::redirect(array('mode' => 'eventlog'));		
	}
	
	// View eventlog
	$logDay = '';
	foreach($cms_eventlog->getLog() as $logLine)
	{
		if($logDay != '' && date(cms_functions::string('generic.date'), $logLine['time']) != $logDay)
		{
			eval($cms_tpl->tpl('eventlog.logday'));
			$logDay = date(cms_functions::string('generic.date'), $logLine['time']);
		}
		if($logDay == '')
			$logDay = date(cms_functions::string('generic.date'), $logLine['time']);
			
		$logDate = date(cms_functions::string('generic.time'), $logLine['time']);
		if($logLine['user'] == '')
			$logLine['user'] = cms_functions::string('eventlog.unknownuser');
		eval($cms_tpl->tpl('eventlog.logday.logline'));
	}
	if($logDay != '')
		eval($cms_tpl->tpl('eventlog.logday'));
	
	$pageContent = eval($cms_tpl->tpl('eventlog'));
	$pageTitle	 = 'Eventlog betrachten';
?>