<?php
	/*
		Project_CMS

		Language file for german language
		
		Copyright (c) 2005 by Phillip Berndt
		
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation; either version 2 of the License, or
		(at your option) any later version.
	
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
	
		You should have received a copy of the GNU General Public License
		along with this program; if not, write to the Free Software
		Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
		
	*/
	
	$cms_language = array(
	
		/*** Error texts **************************************************************************/
		'index.writepermissions'			=>	'Das Datenverzeichnis %s muss Schreibrechte haben',
		
		/** Texts shown when editing articles *****************************************************/
		'libarticles.new'				=>	'Neu erstellt',
		'libarticles.patchfailed'			=>	'Failed to patch, line: %s',
		'libdata.openfailed'				=>	'Konnte Datei "%s" nicht ffnen',
		'libdata.filelocked'				=>	'Datei ist bereits verriegelt',
		'libdata.unlockfailed'				=>	'Datei kann nicht entriegelt werden',
		'edit.uploadfailed'				=>	'Upload fehlgeschlagen',
		'edit.attachmentadded'				=>	'Attachment %s an %s eingefgt',
		'edit.attachmentdeleted'			=>	'Attachment %s von %s gelscht',
		'edit.changedversion'				=>	'Artikel %s gendert (Version %d)',
		'edit.changedrating'				=>	'Bewertungsstatus fr %s gendert auf %s',
		'edit.on'					=>	'an',
		'edit.off'					=>	'aus',
		'edit.permitted'				=>	'erlaubt',
		'edit.prohibited'				=>	'verboten',
		'edit.locked'					=>	'gesperrt',
		'edit.unlocked'					=>	'nicht gesperrt',
		'edit.private'					=>	'privat',
		'edit.public'					=>	'ffentlich',
		'edit.pagetitle'				=>	'Seite bearbeiten (%s)',
		'edit.lockstate'				=>	'Sperrstatus fr %s gendert auf %s',
		'edit.patchfailure'				=>	'Erstellen der Versionsinformation fehlgeschlagen',
		
		/** Email for the administrator ***********************************************************/
		'libeventlog.mailbody'				=>	"Hallo,\n\nim Project_CMS wurden gestern nderungen vorgenommen:\nURL: %s\n\n----------------------------------------------\n",
		'libeventlog.mailsubject'			=>	'Project_CMS Eventlog',
		
		/** HTML validator ************************************************************************/
		'libfunctions.socketfailed'			=>	'ffnen eines Sockets zum Validator auf htmlhelp fehlgeschlagen',
		'libfunctions.validator'			=>	'<address>Nutzt den Validator von <a href="http://www.htmlhelp.com/">WDG HTMLHelp</a></address>',
		'libfunctions.tidy'				=>	'<address>Nutzt den Validator <a href="http://www.w3.org/People/Raggett/tidy/">Tidy</a></address>',
		
		/** Errors from functions / Error text in browser *****************************************/
		'libfunctions.unknownorder'			=>	'Unbekannte Sortierung: %s',
		'libfunctions.pagetitleerror'			=>	'Fehler',
		'libfunctions.pageerrortext'			=>	'<h2>Es ist ein Fehler aufgetreten</h2><p><strong>Fehler:</strong> %s</p>',
		'libfunctions.errortext2'			=>	'<h3>Fehlerinformationen</h3>'.
									'<p>Diese Informationen sind nur fr Administratoren sichtbar</p>'.
									'<table id="errInfo" summary="Fehlerinformationen">'.
									'<tr><th>Feld</th><th>Wert</th></tr>'.
									'<tr><td>Datei</td><td>%s</td></tr>'.
									'<tr><td>Fehlertyp</td><td>%s</td></tr>'.
									'<tr><td>Traceback</td><td>%s</td></tr>'.
									'<tr><td>Code</td><td>%s</td></tr>'.
									'</table>',
									
		/** Errors from template engine ***********************************************************/
		'libtemplates.notfound'				=>	'Template nicht gefunden: %s',
		'libtemplate.parserror'				=>	'Fehler in Template %s: Template %s existiert bereits',
		
		/** Login and access violations ***********************************************************/
		'libusers.loginfailed'				=>	'Login fr User "%s" fehlgeschlagen',
		'libusers.403title'				=>	'403 Zugriff verweigert',
		'generic.404'					=>	'Dieser Artikel existiert nicht, oder nicht mehr',
		'delete.noindex'				=>	'Die Indexseite kann und darf nicht gelscht werden',
		
		/** Usermanagement & Templates ************************************************************/
		'changepw.changed'				=>	'Passwort gendert',
		'changepw.title'				=>	'Passwort ndern',
		'clearchangelog.deleted'			=>	'Changelog fr Artikel %s gelscht',
		
		'usermanagement.admin'				=>	'Administrator',
		'usermanagement.delete'				=>	'Artikel lschen',
		'usermanagement.edit'				=>	'Editieren',
		'usermanagement.new'				=>	'Neue Artikel',
		'usermanagement.edit_locked'			=>	'Sperren',
		'usermanagement.edit_upload'			=>	'Uploads', 
		'usermanagement.view_eventlog'			=>	'Den Eventlog anzeigen',
		'usermanagement.deleted'			=>	'User %s gelscht',
		'usermanagement.renamed'			=>	'User %s zu %s umbenannt',
		'usermanagement.pwchanged'			=>	'Passwort fr %s gendert',
		'usermanagement.title'				=>	'Benutzermanagement',
		
		'templates.title'					=>	'Templates',
		'templates.logDeleted'				=>	'Template gelscht',
		'templates.logAdded'				=>	'Template eingefgt',
		
		/** Eventlog and list pages ***************************************************************/
		'eventlog.cleared'					=>	'Eventlog gelscht',
		'eventlog.unknownuser'					=>	'nobody',
		'listpages.title'					=>	'Alle Artikel auflisten',
		'new.exists'						=>	'Dieser Artikel existiert bereits',
		'rss.title'							=>	'Project_CMS Changelog',
		'rss.desc'							=>	'Latest changes in Project_CMS files',
		
		/** Special headings for articles *********************************************************/
		'version.oldversiontitle'				=>	'Alte Version: %s',
		'version.difference'					=>	'nderungen: %s',
		'view.authortitle'					=>	'ber %s',
		
		/** Ratings *******************************************************************************/
		'rate.comment'						=>	'Artikel kommentiert von IP %s',
		'rate.commentDeleted'				=>	'Kommentar gelscht',
		
		/** Dates and times ***********************************************************************/
		'generic.date'						=>	'd.m.Y',
		'generic.longdate'					=>	'd.m.Y H:i:s',
		'generic.time'						=>	'H:i:s',
		'generic.verylongdate'					=>	'd.m.Y H:i:s T'
	);
	
?>